#!/bin/sh

package=shaarli

echo "attempting to get a newer version of ${package}"

if uscan; then
    version=$(uscan --report --verbose| sed -n 's/Newest version on remote site is \([.0-9]\+\).*/\1/p')
    if [ -f ../${package}_${version}.orig.tar.gz ]; then
	cd ..
	tar xzf ${package}_${version}.orig.tar.gz && \
	    mv ${package}-${version} ${package}-${version}~dfsg1 && \
	    rm ${package}-${version}~dfsg1/inc/jquery* && \
	    rm ${package}-${version}~dfsg1/inc/rain.tpl.class.php && \
	    tar xzf ${package}_${version}~dfsg1.orig.tar.gz ${package}-${version}~dfsg1
	echo "extracted the newest version into ../raintpl-${version}~dfsg1"
    fi
else
    echo "no new version: end of $0."
fi
